#include<bits/stdc++.h>
using namespace std;
int main(){
	int n,m;
	cin>>n>>m;
	int d[n];
	int u[n];
	for(int i=0;i<n;i++) cin>>d[i]>>u[i];
	if(n<=1000 && m<=1000){
		for(int i=0;i<m;i++){
			int l,r,x;
			cin>>l>>r>>x;
			int o = 0;
			for(int j=l-1;j<r;j++){
				if(d[j]<=x && x<=u[j]) o++; 
			}
			cout<<o<<endl;
		}
	}
}